Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.io
Class Writer

Method Summary
`Writer` | `leftShift(Object value)` Overloads the left shift operator to provide a mechanism to append values to a writer
`Object` | `withWriter(Closure closure)` Allows this writer to be used within the closure, ensuring that it is flushed and closed before this method returns
`void` | `write(Writable writable)` A helper method so that dynamic dispatch of the writer will always use the more efficient Writable object implements the Writable interface

Method Detail

### leftShift

    public Writer leftShift(Object value)

  Overloads the left shift operator to provide a mechanism to append values to a writer.

Parameters:
  `value` - a value to append.
Returns:
  the writer on which this operation was invoked

### withWriter

    public Object withWriter(Closure closure)

  Allows this writer to be used within the closure, ensuring that it is flushed and closed before this method returns.

Parameters:
  `closure` - the closure that the writer is passed into.
Returns:
  the value returned by the closure

### write

    public void write(Writable writable)

  A helper method so that dynamic dispatch of the writer.write(object) method will always use the more efficient Writable.writeTo(writer) mechanism if the object implements the Writable interface.

Parameters:
  `writable` - an object implementing the Writable interface.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK